/*
 * correlation between "moveX" and "dist"
 *
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <math.h>
#include <assert.h>

// extern char* strptime(const char*,const char*,struct tm*);

int main(int argc,char** argv)
{
  char   buffer[1024];
  int    j,k,w,w1=24,w2=24;
  double move,dist;
  char   file[512],base[128],path[256]="/export/data1/birk/Clay",*p;
  char   *names[2]={"Guanaco","Zorro"};

  if (argc > 1) { w1 = w2 = atoi(argv[1]); } 
  if (argc > 2) { w2 = atoi(argv[2]); } 

  FILE* fpA = fopen("/tmp/moveA","w"); 
  assert(fpA);
  FILE* fpB = fopen("/tmp/moveB","w"); 
  assert(fpB);
  
  for (k=0; k<2; k++) {                /* A,B */
    sprintf(base,"move%c",((k==0) ? 'A' : 'B'));
    for (j=0; j<2; j++) {              /* Guanaco,Zorro */
      for (w=w1; w<=w2; w++) { 
        sprintf(file,"%s/%s/ADC/adc2019_%02d.log",path,names[j],w);
        printf("%s %s\n",base,file);
        FILE *fp = fopen(file,"r");
        if (!fp) continue;
        while (fgets(buffer,sizeof(buffer),fp) != NULL) {
          p = strstr(buffer,base); if (!p) continue;
          move = fabs(atof(p+6));
          if (move > 180) move = 360-move;
          assert(move <= 180);
          p = strstr(buffer,"dist=");
          assert(p);
          dist = fabs(atof(p+5));
          //printf("%.1f %.1f %s",move,dist,buffer);
          fprintf((k==0)?fpA:fpB,"%.1f %.1f\n",move,dist);
        }
        fclose(fp);
      }
    }
  }
  fclose(fpB); fclose(fpA);

  return 0;
}

