/* ---------------------------------------------------------------- */
//
// main.m
// ADC
//
// Created by Christoph Birk on 2017-10-17
// Copyright (c) 2017 Christoph Birk. All rights reserved.
//
// v1.0.0  2019-03-30  [CCB] @ LCO (b0041)
// v1.1.0  2019-08-05  TCP/IP server
// v1.2.0  2019-09-13  Update count down
// v1.2.1  2019-10-02  log the slide state and position sensors 
//         2020-01-16  Mojave deprecations (b10053)
// v1.2.2  2021-01-06  update default, Calibration window warning
//                     Calibration window: Lens->Prism
//
/* ---------------------------------------------------------------- */

#define DEBUG                1

/* ---------------------------------------------------------------- */

@import Cocoa; // #import <Cocoa/Cocoa.h>

#include "main.h"

/* ---------------------------------------------------------------- */

int main(int argc, const char * argv[])
{
#if (DEBUG > 0)
  { char buf[128];
#ifdef NDEBUG
    sprintf(buf,"%s: Release",PREFUN);
#else
    sprintf(buf,"%s: Debug",PREFUN);
#endif
#ifdef __x86_64__
    strcat(buf,"/64-bit");
#else
    strcat(buf,"/32-bit");
#endif
    fprintf(stderr,"%s\n",buf);
  }
#endif

  return NSApplicationMain(argc, argv);
}

/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */
