/*
 * look for overshoots and oscillations
 *
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <math.h>
#include <assert.h>

// extern char* strptime(const char*,const char*,struct tm*);

int main(int argc,char** argv)
{
  char   buffer[1024];
  int    j,k,w,w1=27,w2=27,flag,sign,sign0;
  int    nA=0,nB=0,oA=0,oB=0,zA=0,zB=0;
  double dist;
  char   file[512],base[128],buf[128],*p;
  char   path[256]="/export/data1/birk/Clay";
  char   *names[2]={"Guanaco","Zorro"};

  if (argc > 1) { w1 = w2 = atoi(argv[1]); } 
  if (argc > 2) { w2 = atoi(argv[2]); } 

  for (k=0; k<2; k++) {                /* A,B */
    sprintf(base,"moveLens:to:](%c",((k==0) ? 'A' : 'B'));
    sprintf(buf,"dist%c=",((k==0) ? 'A' : 'B'));
    for (j=0; j<2; j++) {              /* Guanaco,Zorro */
      for (w=w1; w<=w2; w++) { 
        sprintf(file,"%s/%s/ADC/adc2019_%02d.log",path,names[j],w);
        printf("%s %s\n",base,file);
        FILE *fp = fopen(file,"r"); 
        if (!fp) continue;
        flag=0;
        while (fgets(buffer,sizeof(buffer),fp) != NULL) {
          if (strstr(buffer,base)) { 
            if (flag > 1) { /* moves */
              if (k==0) { nA++; } else { nB++; }
            }
            if (flag > 2) { /* overshoots */
              if (k==0) { oA++; } else { oB++; }
            }
            if (flag > 3) { /* oscillation */
              if (k==0) { zA++; } else { zB++; }
            }
            flag = 1;
          } else
          if ((p=strstr(buffer,buf)) != NULL) {
            assert(flag);
            dist = atof(p+6); sign = (dist < 0) ? -1 : 1;
            if (flag == 1) { 
              sign0 = sign; flag = 2;
            } else {
              if (sign != sign0) { sign0=sign; flag++; }
              if (flag > 2) printf("%s",buffer);
            } 
          }
        }
        fclose(fp);
      }
    }
  }
  printf("A: %d %d %d\n",nA,oA,zA);
  printf("B: %d %d %d\n",nB,oB,zB);

  return 0;
}

