/*
 * how long does a "timed out" move take ?
 *
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <math.h>
#include <assert.h>

extern char* strptime(const char*,const char*,struct tm*);

int main(int argc,char** argv)
{
  int  w,w1=22,w2=30;
  char buffer[1024],file[512];
  struct tm tp;
  int    ta1=0,ta2,dtmax=0;

  for (w=w1; w<=w2; w++) {
    sprintf(file,"/export/data1/birk/Clay/Guanaco/ADC/adc2019_%02d.log",w);
  FILE *fp = fopen(file,"r");
  if (fp) { 
    while (fgets(buffer,sizeof(buffer),fp) != NULL) {
      if (strstr(buffer,"moveLens:to:](A")) {
        if (!strptime(buffer,"%b %d %H:%M:%S",&tp)) continue;
        ta1 = 3600*tp.tm_hour + 60*tp.tm_min + tp.tm_sec;
      } else
      if (strstr(buffer,"moving lens-A failed, err=3 motion timed out")) {
        assert(ta1 > 0);
        if (!strptime(buffer,"%b %d %H:%M:%S",&tp)) continue;
        ta2 = 3600*tp.tm_hour + 60*tp.tm_min + tp.tm_sec;
        int dt = ta2-ta1;
        assert(dt >= 0);
        if (dt > dtmax) dtmax = dt;
        printf("%02d: %s",dt,buffer); 
      }
    }
    fclose(fp);
  }
  } /* endfor(week) */
  printf("dtmax=%d\n",dtmax);

  return 0;
}

